
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Shell脚本中获取进程ID的方法 / iVAN</title>

    <meta name="description" content="Shell脚本中获取进程ID的方法  这篇文章主要介绍了Shell脚本中获取进程ID的方法,我想要知道运行中脚本子shell的进程id,我该如何在shell脚本中得到PID,阅读本文即可找到你想要答案,需要的朋友可以参考下     提问: 我想要知道运行中脚本子shell的进程id.我该如何在shell脚本中得到PID. 当我在执行shell脚本时,它会启动一个叫子shell的进程.作为主shell的子进程,子shell将shell脚本中的命令作为批处理运行(因此称为&quot;批处理进程&quot;). 在某些情况下,你也许想要 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Shell脚本中获取进程ID的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 这篇文章主要介绍了Shell脚本中获取进程ID的方法,我想要知道运行中脚本子shell的进程id,我该如何在shell脚本中得到PID,阅读本文即可找到你想要答案,需要的朋友可以参考下</p>
<p> <br />
 </p>
<p>提问: 我想要知道运行中脚本子shell的进程id。我该如何在shell脚本中得到PID。</p>
<p>当我在执行shell脚本时，它会启动一个叫子shell的进程。作为主shell的子进程，子shell将shell脚本中的命令作为批处理运行（因此称为“批处理进程”）。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOTA3NjdmNzhmNmE4Zjg4NDlhYTRiOGJkNTllZTJjNDQucG5n.jpg"></p>
<p>在某些情况下，你也许想要知道运行中的子shell的PID。这个PID信息可以在不同的情况下使用。比如，你可以使用shell脚本的PID在/tmp下创建一个唯一的临时文件。有时侯脚本需要检测所有运行的进程，它可以从进程列表中排除自身的子shell。</p>
<p>在bash中，子shell进程的PID存储在一个特殊的变量‘$$'中。这个变量只读，你不可以在脚本中修改它。比如：</p>
<p> </p>
<p>代码如下:<br />
<br />
#!/bin/bash<br />
echo "PID of this script:  $$"<br />
<br /> </p>
<p>上面的脚本会得到下面的输出：</p>
<p> </p>
<p>代码如下:<br />
<br />
PID of this script: 6583<br />
<br /> </p>
<p>除了$$, bash  shell还会导出其他的只读变量。比如，PPID存储子shell父进程的ID（也就是主shell）。UID存储了执行这个脚本的当前用户ID。比如：</p>
<p>代码如下:<br />
<br />
#!/bin/bash</p>
<p>echo "PID of this  script: $$"<br />
echo "PPID of this script: $PPID"<br />
echo "UID of this script:  $UID"<br />
<br /> </p>
<p>输出是：</p>
<p>代码如下:<br />
<br />
PID of this script: 6686<br />
PPID of this  script: 4656<br />
UID of this script: 1000<br />
<br /> </p>
<p>上面输出中，PID每次执行都会变化。这个因为每次运行都会创建一个新的shell。另一方面，PPID每次都会一样只要你在同一个shell中运行。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNjM0NGRkMmE1NjI5MDUwNmQ0Y2UzZDFhYjUyOTYzNDAuanBn.jpg"></p>
<p>对于所有bash内置变量列表，参考man页。</p>
<p> </p>
<p>代码如下:<br />
<br />
$ man bash</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 13:23:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/shell/" title="shell">shell</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/script/" title="Script">Script</a>, <a href="https://www.iamivan.net/tag/pid/" title="pid">pid</a>, <a href="https://www.iamivan.net/tag/shell%e8%84%9a%e6%9c%ac/" title="shell脚本">shell脚本</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e8%84%9a%e6%9c%acshell/" title="代码脚本shell">代码脚本shell</a>, <a href="https://www.iamivan.net/tag/bash%e8%84%9a%e6%9c%ac/" title="bash脚本">bash脚本</a>, <a href="https://www.iamivan.net/tag/%e8%8e%b7%e5%8f%96%e8%bf%9b%e7%a8%8bid/" title="获取进程ID">获取进程ID</a>, <a href="https://www.iamivan.net/tag/%e8%8e%b7%e5%8f%96%e8%bf%9b%e7%a8%8b%e6%89%80%e6%9c%89%e8%80%85/" title="获取进程所有者">获取进程所有者</a>, <a href="https://www.iamivan.net/tag/shell%e8%84%9a%e6%9c%ac-%e8%84%9a%e6%9c%ac%e7%bc%96%e7%a8%8b/" title="shell脚本 脚本编程">shell脚本 脚本编程</a>, <a href="https://www.iamivan.net/tag/shell%e8%84%9a%e6%9c%ac%e7%bc%96%e7%a8%8b/" title="shell脚本编程">shell脚本编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Shell脚本中获取进程ID的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkgRkM.html" rel="bookmark">Shell脚本中获取进程ID的方法&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提问: 我想要知道运行中脚本子shell的进程id.我该如何在shell脚本中得到PID. 当我在执行shell脚本时,它会启动一个叫子shell的进程.作为主shell的子进程,子shell将shell脚本中的命令作为批处理运行(因此称为&quot;批处理进程&quot;). 在某些情况下,你也许想要知道运行中的子shell的PID.这个PID信息可以在不同的情况下使用.比如,你可以使用shell脚本的PID在/tmp下创建一个唯一的临时文件.有时侯脚本需要检测所有运行的进程,它可以从进程列表中排除自身			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmwLRp.html" rel="bookmark">Shell脚本中让进程休眠的方法（sleep用法）&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候写Shell的脚本,用于顺序执行一系列的程序. 有些程序在停止之后并没能立即退出,就例如有一个 tomcat 挂了,就算是用 kill -9 命令也还没瞬间就结束掉. 这么如果 shell 还没等其退出就接着执行下一行,这么就出乱子了. 刚知道了原来 shell 也能有 sleep 的参数. 复制代码 代码如下: sleep 1 睡眠1秒 sleep 1s 睡眠1秒 sleep 1m 睡眠1分 sleep 1h 睡眠1小时 用法如下,例如重启tomcat: 复制代码 代码如下: #!/bi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wOq4M.html" rel="bookmark">Shell脚本中获取本机ip地址的3个方法&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一: 复制代码 代码如下: /sbin/ifconfig -a|grep inet|grep -v 127.0.0.1|grep -v inet6|awk '{print $2}'|tr -d &quot;addr:&quot; or /sbin/ifconfig|sed -n '/inet addr/s/^[^:]*:\([0-9.]\{7,15\}\) .*/\1/p' 方法二: 复制代码 代码如下: local_host=&quot;`hostname --fqdn`&quot; local_i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NOA3z.html" rel="bookmark">在Linux的系统Shell脚本中使用if语句的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Bourne Shell 的 if 语句和大部分编程语言一样 - 检测条件是否真实,如果条件为真,shell 会执行这个 if 语句指定的代码块,如果条件为假,shell 就会跳过 if 代码块,继续执行之后的代码. if 语句的语法: 代码如下: if [ 判断条件 ] then command1 command2 --.. last_command fi Example: #!/bin/bash number=150 if [ $number -eq 150 ] then echo &quot;N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW446p.html" rel="bookmark">linux 在shell脚本中获取该脚本的所在绝对路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				脚本名:a.sh 位置:/tmp/whuang/study/Java 脚本内容:   Shell代码   #!/bin/sh   this_dir=`pwd`   dirname $0|grep &quot;^/&quot; &gt;/dev/null   if [ $? -eq 0 ];then                   this_dir=`dirname $0`   else           dirname $0|grep &quot;^\.&quot; &gt;/dev/null  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvW2RWp.html" rel="bookmark">linux 在shell脚本中获取该脚本的所在绝对路径2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				脚本名:a.sh 位置:/tmp/whuang/study/Java 脚本内容: Shell代码   this_dir=`pwd`   file_name=`basename $0`   dirname $0|grep &quot;^/&quot; &gt;/dev/null   if [ $? -eq 0 ];then       this_dir=`dirname $0`   else           dirname $0|grep &quot;^\.\.&quot; &gt;/dev/null 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEdQ4Lz.html" rel="bookmark">java代码中获取进程process id（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     另一方面,线程ID=进程ID+内部线程对象ID并不成立,    参考: blog.csdn.net/heyetina/article/details/6633901     如何在java代码中获取进程process id, 实现方法如下所示:    参考: rednaxelafx.iteye.com/blog/716918                 http://www.cnblogs.com/mumuxinfei/p/3678854.html  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPLBWrp.html" rel="bookmark">Shell脚本中执行sql语句操作mysql的5种方法&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于自动化运维,诸如备份恢复之类的,DBA经常需要将SQL语句封装到shell脚本.本文描述了在Linux环境下mysql数据库中,shell脚本下调用sql语句的几种方法,供大家参考.对于脚本输出的结果美化,需要进一步完善和调整.以下为具体的示例及其方法. 1.将SQL语句直接嵌入到shell脚本文件中 复制代码 代码如下: --演示环境  [root@SZDB ~]# more /etc/issue  CentOS release 5.9 (Final)  Kernel \r on an \			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo64KBz.html" rel="bookmark">Shell脚本中引用、调用另一个脚本文件的2种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Shell脚本中引用.调用另一个脚本文件的2种方法,本文介绍了两种方法的语法,然后给出实际使用实例和一些要注意的地方,需要的朋友可以参考下 在Java,Python中,可以用import的方式来进行脚本或模块之间调用,例如: 代码如下: &gt;&gt;&gt; import math &gt;&gt;&gt; math.sqrt(4) 2.0 在Shell中要如何调用别的shell脚本,或别的脚本中的变量,函数呢? 方法一: . ./subscript.sh 方法二: source			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6JWXM.html" rel="bookmark" class="title">在落伍&comma;我的影子有多少</a>
					<div>
						落伍 搞网站搞了接近半年.从去年的十月份开始简单的静态网页到现在手里的两个网站,我的成长经历和许许多多的站长一样,疲惫而执着.简单回顾一下我的经历吧.十月份,自己在十天长假准备自己的&quot;网页b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZvNqz.html" rel="bookmark" class="title">AJAX忧虑与启发：成也脚本，败也脚本</a>
					<div>
						ajax|脚本 对Ajax的研究有了一段时间了,从最初的远观,到近看,再到实际动手实现,认识越来越深,想法也越来越多.特别是曾经有一阵子跑去研究web2.0,更是体会到Ajax背后的伟大,暗自为其庆幸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO7Y3z.html" rel="bookmark" class="title">网站布局与首页文章推送规则</a>
					<div>
						大家都知道,要想获得最新的快照,最快的收录,首先你的文章更新频率要快,其次是你的文章质量要高. 大的网站,少则2.3人负责一个栏目,多则一二十人负责频道或板块,而且还有合作的传统新闻媒体或者网站的第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boW5Db.html" rel="bookmark" class="title">如何用UltraEdit编译C&num;源程序</a>
					<div>
						编译|程序 分3步. 1: 编译.选取UltraEdit的菜单: 高级-〉工具配置编译C# Console命令行填:csc %n%e工作目录:%p名称随意.保存活动文件,输出到列表窗口,捕捉输出 这3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLNLZb.html" rel="bookmark" class="title">用vLite精简Windows 7图文制作教程</a>
					<div>
						Windows Vista发布不久,类似于早期nLite的精简安装光盘软件就出现了,它可以有效地给Vista光盘减肥并创建自己的个性化CD.现在Windows 7这么火爆,相信类似的制作已经开始进展了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEEDob.html" rel="bookmark" class="title">ASP&period;NET MVC的Razor引擎：IoC在View激活过程中的应用</a>
					<div>
						在&lt;ASP.NET MVC的Razor引擎:RazorView&gt;介绍BuildManagerCompiledView的时候,我们谈到默认使用的ViewPageActivator使用当前注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN8Alb.html" rel="bookmark" class="title">Oracle的DB Link</a>
					<div>
						数据库之间的链接建立在DATABASE LINK上.要创建一个DB LINK,必须先在每个数据库服务器上设置链接字符串. 1. 配置TNS , $ORACLE_HOME/NETWORK/ADMIN/t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElKOqz.html" rel="bookmark" class="title">Windows Phone 8&period;1低功耗蓝牙开发-Nokia Treasure Tag</a>
					<div>
						1. 引言 上一篇文章&lt;Windows 8.1 低功耗蓝牙开发&gt;讲述了如何在Windows 8.1平台上创建低功耗蓝牙应用,并且以TI的Sensor Tag为例,给出了代码步骤和演示.其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAvyrb.html" rel="bookmark" class="title">集成Spring Framework和Data Studio</a>
					<div>
						pureQuery 是包含在 Data Studio 中的 IBM 新开发平台,用于开发 Java 数据库访问应用程序.它简单的 API 和集成工具不仅提高了数据访问开发人员的效率,还鼓励遵守编码最佳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Ydwb.html" rel="bookmark" class="title">ios下显示隐藏文件并修改 hosts文件内容</a>
					<div>
						  修改hosts 文件内容: 进入etc 文件夹,找到hosts 文件,把该文件复制出来,修改完里面的内容后,先把etc中的hosts 文件删除,然后在把修改后的文件脱机去 可能需要管理员的密码,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYXgKb.html" rel="bookmark" class="title">UI陷阱！按钮总是看得到却点不到&quest;</a>
					<div>
						  秘诀在于设定按钮的触控感应区(Touch area),按钮其实可以分为两个部分: 一.视觉目标(Visual targe)- 使用者可以看的到,并且想要去点击的区域. 二.触控感应区(Touch  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42aOqM.html" rel="bookmark" class="title">iMindMap思维导图分支的两种绘制模式</a>
					<div>
						  当我们打开[设计]工具栏,便可以看到绘制模式板块. 打开下拉框有两个选项,分支.手绘. 首先讲一讲分支.这个就是普通的分支模式,根据系统的或者你新建时的选择来添加分支,iMindMap默认的也就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNJeoM.html" rel="bookmark" class="title">【Linux】在多台linux 之间挂载nfs</a>
					<div>
						测试环境: rac1 10.250.7.225 rac2 10.250.7.249 rac4 10.250.7.220 在rac1 上设置共享文件: /tmp 在rac2,rac4上面设置/share ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrR0AM.html" rel="bookmark" class="title">js通过地址栏给action传值&lpar;中文乱码全是问号&rpar;&lowbar;javascript技巧</a>
					<div>
						前几天在完成一个ssh框架的项目时遇到一个小问题,情况是这样的. 在action中定义了私有变量,并提供get(),set()方法,js代码中就应该可以访问它.于是我从js代码中通过地址栏传值给了ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYQk0p.html" rel="bookmark" class="title">QQ安装时显示路径无效问题怎么办 路径无效解决办法</a>
					<div>
						步骤1.如果说们是把QQ安装在电脑的 C:Program Files文件夹下,而我们C盘又没有权限,可以尝试安装到 D:Program Files,就可以继续安装了. 步骤2.我们C盘的格式不对了,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeR0Xb.html" rel="bookmark" class="title">有关于类的List的问题。</a>
					<div>
						问题描述 写了个程序,由于比较长,把我有疑惑的地方拿出来吧..大致是这样的..publicpartialclassForm1:Form{List&lt;AddedItem&gt;datalist=ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZKZXp.html" rel="bookmark" class="title">新闻集团创始人从未承认过自己在某个领域失败过</a>
					<div>
						据国外媒体报道,新闻集团创始人鲁伯特·默多克(Rupert Murdoch)从未承认过自己在某个领域失败过,至少在公开场合是这样的.不过,最近他似乎低下了高昂的头,承认在与谷歌新闻的竞争中败下阵来.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXD5Vb.html" rel="bookmark" class="title">部署-vs2015关于程序发布的问题</a>
					<div>
						问题描述 vs2015关于程序发布的问题 环境:win10 编译器:vs2015 事件:c#写了一个很简单的windows窗体应用程序,本来想着发布一下.点击立即发布,但是提示:签名出错:未找到Sig ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBenPM.html" rel="bookmark" class="title">大四学生的纠结</a>
					<div>
						[来信] 老师您好,我是一名大四学生了,来年6月份就要毕业.可是自己专业不扎实,主修JAVA方向,可是如今只能勉强编写一下代码,面临实习的时候了,专业技能水平只能让自己获得一些外包公司的实习生职位(不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqxBJp.html" rel="bookmark" class="title">android环信语音通话无法拨通bug</a>
					<div>
						问题描述 当主叫这方拨打语音通话过程中,断网,导致ERROR_TRANSPORT(也就会执行onCallStateChanged(DISCONNNECTED, ERROR_TRANSPORT))断开连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKmE3p.html" rel="bookmark" class="title">c&num; winform  全角自动转化半角问题</a>
					<div>
						问题描述 如题:c#winform全角自动转化半角问题这个问题我在网上找了些资料,开发工具是VS2008.网站上说,在窗体加载load(){}里添加this.ImeMode=ImeMode.OnHal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLyZRM.html" rel="bookmark" class="title">分页导出聊天记录出错</a>
					<div>
						问题描述 分页导出聊天记录,每次1000条,在使用cursor导出第二个1000条时发现导出很早以前的聊天记录,而不是第一个1000条后的聊天记录.如图所示. 解决方案 把cursor加载之前的url ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqB6mb.html" rel="bookmark" class="title">&lbrack;转载&rsqb;Oracle ERP力助金融行业信息化</a>
					<div>
						问题描述 多年来本人一直担任IBMAS/400专业委员会主任,对中国金融行业的信息化的大飞跃.大发展是很好的见证人.90年代初,我们没有通存通兑,银行主要靠手工,当时我们为多家银行包括深圳.广州.上海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrGVM.html" rel="bookmark" class="title">《i 江湖》职业、伙伴、装备攻略</a>
					<div>
						游戏背景金庸武侠世界揭开帷幕,耳熟能详的高手,恩怨,秘籍,神兵悉数粉墨登场.故事发生在南宋年间,时值大辽盛极而衰,内部动荡.辽主与辽国亲王貌合神离,内乱只是时间问题.而宋朝偏安江南,醉心歌舞,不思进取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0aP8p.html" rel="bookmark" class="title">Java的Struts2框架中拦截器使用的实例教程&lowbar;java</a>
					<div>
						1.拦截器小介 拦截器的功能类似于web.xml文件中的Filter,能对用户的请求进行拦截,通过拦截用户的请求来实现对页面的控制.拦截器是在Struts-core-2.2.3.jar中进行配置的,原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Bnlb.html" rel="bookmark" class="title">CSDN结贴页面什么处理，是在一个页面中处理，还是可以分页处理</a>
					<div>
						问题描述 CSDN结贴页面什么处理,是在一个页面中处理,还是可以分页处理?大家有没能做过这种类型的页面,有什么比较好的处理办法? 解决方案 解决方案二:你试下就知道了,在一个页面中的					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Z4Nz.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;11&period;36 非线性系统 H&infin; 最优控制</a>
					<div>
						11.36 非线性系统 H∞ 最优控制 由于 H ∞控制是一种十分有效的处理动态系统的外界扰动的方法[17] ,H ∞控制一直是控制界学者的研究的热点.虽然 H ∞控制理论取得了一系列的成果[18-2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV8lwz.html" rel="bookmark" class="title">控件picturebox 从panel 1到panel2</a>
					<div>
						问题描述 控件picturebox 从panel 1到panel2 怎么讲一个控件(例如picturebox)复制一份从panel1移到panel2 这是我的代码 如何修改 bool wselecte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWkmrM.html" rel="bookmark" class="title">何小鹏讲解移动互联网创新五大误区</a>
					<div>
						UC的创始人何小鹏曾在创新派主办PMx沙龙上发表过一次主题演讲,他从一个产品经理的角度详细深入地发掘了关于移动互联网行业创新的五个误区,打破了常规认识,但也很清楚了然: 1.权威跟经验都不靠谱. 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXQyvz.html" rel="bookmark" class="title">grep 的开源替代品 Go sift</a>
					<div>
						Go sift 详细介绍 sift 是快速强大的 grep 开源替代品,作为一个单独的可执行程序,没有外部依赖,下载即用.sift 非常灵活,速度非常快,支持多行匹配,条件和多核. sift 主要特性 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
